locked
reportviewer webcontrol link to jquery.min.js shows 3.1.1 version ? RRS feed

  • Question

  • User-1483503823 posted

    <script src="/abcd/reservered.reportviewerwebcontrol.axd?OpType=Resource&amp;Version=15.0.1440.0;Name=Microsoft.Reporting.WebForms.Scripts.Jquery.min.js" Type="text/javascript"></script>

    this link on reportviewer page is displaying jquery v3.1.1 js file where it should use latest jquery, Need help on this 

    why is this displaying 3.1.1 jquery and how do I make it use latest jquery version.

    Wednesday, April 21, 2021 7:50 AM

All replies

  • User-939850651 posted

    Hi Narsingh,

    this link on reportviewer page is displaying jquery v3.1.1 js file where it should use latest jquery, Need help on this 

    why is this displaying 3.1.1 jquery and how do I make it use latest jquery version.

    What version of ReportViewer control are you currently using? In version 150.1357.0, jquery has been updated to version 3.3.1.

    I recommand that you could read Release Notes for Report Viewer controls for WebForms and WinForms of SSRS.

    If I misunderstood something, could you provide more details?

    Best regards,

    Xudong Peng

    Thursday, April 22, 2021 7:11 AM
  • User-1483503823 posted

    Thank you for the information provided. 

    I am using 150.1357 currently but to explain I tried the latest version also but did not see the jquery 3.3.1 on either of the versions.

    I am I missing something, cleared the cache and also verified the downloaded package stuff but could not see jquery 3.1.1 inside the packages folder. I predict its referered from the report viewer package.

    Need inputs on how do I solve this issue as 3.1.1 jquery is vulnerable to issues and I have to use lastest jquery.

    thanks in advance

    Friday, April 23, 2021 8:14 AM
  • User-939850651 posted

    Hi Narsingh,

    I am using 150.1357 currently but to explain I tried the latest version also but did not see the jquery 3.3.1 on either of the versions.

    I am I missing something, cleared the cache and also verified the downloaded package stuff but could not see jquery 3.1.1 inside the packages folder. I predict its referered from the report viewer package.

    I'm not sure how you tested it, I think there may be some problems with this.

    Need inputs on how do I solve this issue as 3.1.1 jquery is vulnerable to issues and I have to use lastest jquery.

    This seems to be designed, so I am afraid that you can not do a self upgrade, but you could put your suggestions to the relevant team in this link:

    https://feedback.azure.com/forums/908035-sql-server

    Best regards,

    Xudong Peng

    Friday, April 23, 2021 9:47 AM
  • User-1483503823 posted

    <script src="/abcd/reservered.reportviewerwebcontrol.axd?OpType=Resource&amp;Version=15.0.1440.0;Name=Microsoft.Reporting.WebForms.Scripts.Jquery.min.js" Type="text/javascript"></script>

    this is the script what opens the jquery.min.js and I see it describes the version as JQuery v3.1.1.

    Is this something related to report viewer runtime version installed. ? I have "Microsoft report viewer 2012 runtime"  version "11.0.2100.60" installed 

    Friday, April 23, 2021 12:19 PM
  • User-939850651 posted

    Hi Narsingh,

    Is this something related to report viewer runtime version installed. ? I have "Microsoft report viewer 2012 runtime"  version "11.0.2100.60" installed 

    11.0.2100.60 ? I did not find relevant information, I only found version 11.0.3452.

    Maybe you should upgrade its version to the lastest one. 

    Best regards,

    Xudong Peng

    Monday, April 26, 2021 10:20 AM